Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 07/08/2024 in all areas

  1. @ronjonp If I understood correctly, when using BricsCAD you must go through (entupd (cdr (assoc -1 (entmod (subst (cons 8 "Layername") (assoc 8 entdata) entdata))))), and in AutoCAD you can do it through (append) like you showed... Anyway the best is that you make sure it works for both AutoCAD and BricsCAD, and that is by using (subst) method...
    1 point
  2. That's a lot of work for something that AutoCAD should handle. Great tutorial though. I have barely used Grease Pencil, nice job.
    1 point
  3. Ok, I made a video showing how to do this in Blender using the Grease Pencil and LineArt modifier.
    1 point
  4. ;;; copy to drawing (defun ctd ( ss dwg / ss->ol dbx_ver acApp acDoc dbx object-list object-safe-array) (defun SS->OL (ss / i l) (setq i 0)(repeat (sslength ss)(setq l (cons (vlax-ename->vla-object (ssname ss i)) l) i (1+ i))) l) (defun dbx_ver ( / v) (strcat "objectdbx.axdbdocument" (if (< (setq v (atoi (getvar 'acadver))) 16) "" (strcat "." (itoa v))))) (setq acApp (vlax-get-acad-object) acDoc (vla-get-ActiveDocument acApp)) (setq dbx (vl-catch-all-apply 'vla-getinterfaceobject (list acApp (dbx_ver)))) (vla-open dbx dwg) ; put all block objects in a list (foreach object (ss->ol ss) (setq object-list (cons object object-list))) ; put list with objects in a safe array (setq object-safe-array (vlax-make-safearray vlax-vbobject (cons 0 (1- (length object-list))))) (vl-catch-all-apply 'vlax-safearray-fill (list object-safe-array object-list)) ; copy objects to dbx-drawing (vla-CopyObjects acDoc object-safe-array (vla-get-ModelSpace dbx)) (vl-catch-all-apply 'vla-saveas (list dbx dwg)) (vl-catch-all-apply 'vlax-release-object (list dbx)) (setq object-list nil object-safe-array nil) (princ) ) (defun c:t1 ( / ss d) (if (and (setq ss (ssget)) (setq d (getfiled "Copy SS to:" "" "dwg" 0))) (ctd ss d))(princ))
    1 point
  5. I was looking for the original on Cadalyst, but this appears to be an update to that one. Make a New Linetype with Text Here is the latest on Cadalyst. There is another out there called LtFly.
    1 point
  6. If I was doing that I'd also want to check that the line type name wasn't existing in the file... could be 'on the fly' is the same name but a different definition - not a big issue or one that would happen often I reckon
    1 point
  7. Use rotate command and after that use lengthen command .
    1 point
×
×
  • Create New...